io.undertow.server

## Interface ResponseCommitListener

All Known Implementing Classes:
  SecureCookieCommitListener

    public interface ResponseCommitListener

Callback that is invoked just before the response is commit

Author:
  Stuart Douglas

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `beforeCommit(HttpServerExchange exchange)` Invoked before the first bytes of the response are sent to the client

### Method Detail

#### beforeCommit

    void beforeCommit(HttpServerExchange exchange)

Invoked before the first bytes of the response are sent to the client

Parameters:
  `exchange` - The server exchange